Bug 382071 - no suspend for driver snd-usb-audio
no suspend for driver snd-usb-audio
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 05:33 EST by David Campbell
Modified: 2008-08-23 23:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 23:12:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lsmod output (4.01 KB, text/plain)
2008-02-14 15:10 EST, David Campbell
no flags Details
lspci output (28.58 KB, text/plain)
2008-02-14 15:10 EST, David Campbell
no flags Details
lsusb output (729 bytes, text/plain)
2008-02-14 15:12 EST, David Campbell
no flags Details
dmesg output (34.64 KB, text/plain)
2008-02-14 15:12 EST, David Campbell
no flags Details

  None (edit)
Description David Campbell 2007-11-14 05:33:49 EST
Description of problem:

dmesg/logs contain messages like these:

snd-usb-audio 1-5:1.1: no suspend for driver snd-usb-audio?
snd-usb-audio 1-5:1.2: no suspend for driver snd-usb-audio?

Is there a problem with suspending the snd-usb-audio driver?

Version-Release number of selected component (if applicable):

2.6.23.1-49.fc8 but also visible in f7

How reproducible:

Always

Steps to Reproduce:
1. Suspend computer
2. Resume computer
3. Examine logs
  
Actual results:

Log entries as above

Expected results:

No log entries

Additional info:
Comment 1 David Campbell 2007-11-14 15:42:51 EST
I guess you may need to have a usb audio device connected!

My notebook seems to have it built-in, perhaps the TV tuner.
Comment 2 Christopher Brown 2008-02-13 17:10:58 EST
Hello David,

Can this one be closed now - I can't tell if your comment #1 indicates this was
NOTABUG?
Comment 3 David Campbell 2008-02-14 03:09:04 EST
I haven't seen it for a few days, but I believe it is still there.  Later I'll
try shutting the computer down to suspend with a USB phone connected.... and in
any case I'll watch for it...

It looks like the messages are logged when coming out of suspend.

Here's some recent log output with the -85 kernel.  I'm now running the -137 kernel.

[root@host15-101 ~]# egrep "Linux version|no suspend" /var/log/messages-20080127 
Jan 22 12:03:39 localhost kernel: snd-usb-audio 1-5:1.1: no suspend for driver
snd-usb-audio?
Jan 22 12:03:39 localhost kernel: snd-usb-audio 1-5:1.2: no suspend for driver
snd-usb-audio?
Jan 23 07:29:20 localhost kernel: snd-usb-audio 3-1:1.0: no suspend for driver
snd-usb-audio?
Jan 23 07:29:20 localhost kernel: snd-usb-audio 3-1:1.1: no suspend for driver
snd-usb-audio?
Jan 23 07:29:20 localhost kernel: snd-usb-audio 3-1:1.2: no suspend for driver
snd-usb-audio?
Jan 23 07:29:20 localhost kernel: snd-usb-audio 1-5:1.1: no suspend for driver
snd-usb-audio?
Jan 23 07:29:20 localhost kernel: snd-usb-audio 1-5:1.2: no suspend for driver
snd-usb-audio?
Jan 23 10:04:44 localhost kernel: Linux version 2.6.23.9-85.fc8
(kojibuilder@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.1.2 20070925 (Red
Hat 4.1.2-33)) #1 SMP Fri Dec 7 15:49:59 EST 2007
Jan 24 07:39:50 localhost kernel: snd-usb-audio 3-1:1.0: no suspend for driver
snd-usb-audio?
Jan 24 07:39:50 localhost kernel: snd-usb-audio 3-1:1.1: no suspend for driver
snd-usb-audio?
Jan 24 07:39:50 localhost kernel: snd-usb-audio 3-1:1.2: no suspend for driver
snd-usb-audio?
Jan 24 07:39:50 localhost kernel: snd-usb-audio 1-5:1.1: no suspend for driver
snd-usb-audio?
Jan 24 07:39:50 localhost kernel: snd-usb-audio 1-5:1.2: no suspend for driver
snd-usb-audio?
Jan 24 07:59:02 host15-102 kernel: Linux version 2.6.23.9-85.fc8
(kojibuilder@xenbuilder4.fedora.phx.redhat.com) (gcc version 4.1.2 20070925 (Red
Hat 4.1.2-33)) #1 SMP Fri Dec 7 15:49:59 EST 2007
Jan 27 07:05:10 host15-102 kernel: snd-usb-audio 1-5:1.1: no suspend for driver
snd-usb-audio?
Jan 27 07:05:10 host15-102 kernel: snd-usb-audio 1-5:1.2: no suspend for driver
snd-usb-audio?
Jan 27 12:17:33 host15-102 kernel: snd-usb-audio 1-5:1.1: no suspend for driver
snd-usb-audio?
Jan 27 12:17:33 host15-102 kernel: snd-usb-audio 1-5:1.2: no suspend for driver
snd-usb-audio?
Comment 4 Christopher Brown 2008-02-14 14:45:58 EST
If it re-occurs can you attach as individual text/plain attachments:

lsusb > lsusb.out
# lspci -vvxxx > lspci.out
dmesg > dmesg.out
lsmod > lsmod.out
Comment 5 David Campbell 2008-02-14 15:09:00 EST
Problem happened this morning when I brought my computer out of suspend.
Attaching files as requested.
Comment 6 David Campbell 2008-02-14 15:10:38 EST
Created attachment 294942 [details]
lsmod output
Comment 7 David Campbell 2008-02-14 15:10:58 EST
Created attachment 294943 [details]
lspci output
Comment 8 David Campbell 2008-02-14 15:12:09 EST
Created attachment 294946 [details]
lsusb output
Comment 9 David Campbell 2008-02-14 15:12:28 EST
Created attachment 294947 [details]
dmesg output
Comment 10 David Campbell 2008-02-14 15:14:52 EST
I admit that the kernel is tainted by vmware loadable modules, but I believe it
to be completely unrelated to the usb audio issue I see.  If need be I can boot
the machine without those modules loaded.
Comment 11 Christopher Brown 2008-02-14 18:35:17 EST
Yeah, we generally need people to do that in the first instance as you're
probably aware. If you can do so and re-test that would be good. You're not just
getting it for audio either:

snd-usb-audio 1-5:1.1: no resume for driver snd-usb-audio?
snd-usb-audio 1-5:1.2: no resume for driver snd-usb-audio?
usbfs 1-1.2:1.0: no resume for driver usbfs?
Comment 12 David Nalley 2008-08-23 23:12:33 EDT
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.